<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class tickets_SINGLE_Controller extends Controller
{
    public $selfName = 'tickets_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /tickets/view/{uid}/ACTION_close
	public function ACTION_close(Request $request, $uid) {
		$record = DB::table('ticket')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('ticket')->where('id', $uid)->first();
			if($record) return redirect('/tickets/view/' . $record->uid . '/ACTION_close');
		}
		return response()->view('pro/tickets_SINGLE/ACTION_close', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /tickets/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('ticket')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('ticket')->where('id', $uid)->first();
			if($record) return redirect('/tickets/view/' . $record->uid . '/SUB_dashboard');
		}
		return response()->view('pro/tickets_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
